Bug 45187 - RTF import: bad vertical position of shapes
Summary: RTF import: bad vertical position of shapes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 Beta3
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:3.6.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-24 09:53 UTC by Pavel Kysilka
Modified: 2012-07-13 10:17 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample document (89.39 KB, application/rtf)
2012-01-24 09:53 UTC, Pavel Kysilka
Details
test document - shape with textbox and OLE object (426.63 KB, application/msword)
2012-07-13 10:17 UTC, Pavel Kysilka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Kysilka 2012-01-24 09:53:17 UTC
Text "mg.l-1" has border. Border is located at the beginning of the document.
Comment 1 Pavel Kysilka 2012-01-24 09:53:46 UTC
Created attachment 56095 [details]
sample document
Comment 2 Michael Stahl (CIB) 2012-01-27 09:18:36 UTC
a bugdoc for you :)
Comment 3 Miklos Vajna 2012-02-04 03:13:41 UTC
Sound like a bug in dmapper, the docx version of the sample has the same bug, while the docx is opened properly in 3.4. Will try to bisect.
Comment 4 Miklos Vajna 2012-02-04 03:52:37 UTC
Reverting 0e26bd20978cbdd7c59368044c2a21b98ffba164 fixes the vertical position of the shapes here. Cedric, as the author of the commit, does that ring a bell?

Thanks.
Comment 5 Not Assigned 2012-02-24 06:43:52 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b538f6a0f4193531e1187874b4b35a4384d6fcd1

fdo#45187 revert "writerfilter import, fixed the shapes import"
Comment 6 Not Assigned 2012-02-27 02:25:50 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bb4ceaa4bbe253f4d6b22b09098de0f2f0b793c8

add testcase for fdo#45187
Comment 7 Jean-Baptiste Faure 2012-03-21 12:28:00 UTC
Hi Miklos,

Is there reason to not backport this fix to LO 3.5 ?

Best regards. JBF
Comment 8 Miklos Vajna 2012-04-04 01:58:20 UTC
Hi JBF,

I think Cédric had some additional fixes on top of this, backporting the revert alone would introduce other regressions. Cédric, do you remember?

Miklos
Comment 9 Pavel Kysilka 2012-07-13 10:17:42 UTC
Created attachment 64166 [details]
test document - shape with textbox and OLE object

I found test document for this commit http://cgit.freedesktop.org/libreoffice/core/commit/?id=b538f6a0f4193531e1187874b4b35a4384d6fcd1 .

Bug still persists. The text is out of shape.